%{?python_enable_dependency_generator}

%global modname fauxquests

# TODO: commit is actually release, but has not been pushed as git tag
# https://github.com/lukesneeringer/fauxquests/issues/1
%global commit 16d1f71547279fc7862c4b6597fab5524f70b082

Name:           python-%{modname}
Version:        1.1
Release:        9%{?dist}
Summary:        Mock HTTP requests sent with the requests package

License:        BSD
URL:            https://github.com/lukesneeringer/fauxquests
Source0:        %{url}/archive/%{commit}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-requests
BuildRequires:  python3-dict-sorted

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%prep
%autosetup -n %{modname}-%{commit}

%build
%py3_build

%install
%py3_install

%check
# https://github.com/lukesneeringer/fauxquests/issues/3
%{__python3} tests/runtests.py -v || :

%files -n python3-%{modname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Fri Jan 04 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1-9
- Enable python dependency generator

* Fri Jan 04 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1-8
- Subpackage python2-fauxquests has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1-6
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1-2
- Rebuild for Python 3.6

* Fri Aug 26 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.1-1
- Initial package
